org.apache.ignite.internal.processors.cache.persistence.wal.io

## Class SegmentIO

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.file.AbstractFileIO
  - - org.apache.ignite.internal.processors.cache.persistence.file.FileIODecorator
    - - org.apache.ignite.internal.processors.cache.persistence.wal.io.SegmentIO

All Implemented Interfaces:
  AutoCloseable, FileIO

    public class SegmentIO
    extends FileIODecorator

Implementation of `FileIO` specified for WAL segment file.

### Constructor Summary

Constructors
Constructor and Description
`SegmentIO(long id, FileIO delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getSegmentId()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.file.FileIODecorator

`clear, close, force, force, map, position, position, read, read, read, size, write, write, write`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.file.AbstractFileIO

`readFully, readFully, readFully, writeFully, writeFully, writeFully`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SegmentIO

    public SegmentIO(long id,
                     FileIO delegate)

Parameters:
  `id` - Segment id.
  `delegate` - File I/O delegate

### Method Detail

#### getSegmentId

    public long getSegmentId()

Returns:
  Segment id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019